
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用.NET存储XML数据 / iVAN</title>

    <meta name="description" content="使用.NET存储XML数据 xml|数据 SQL Server 2000和XML for SQL Server 2000 Web版本(SQLXML)提供了三种存储XML数据的途径:XML Bulk Load和Updategrams,这两种客户端技术使用带有注解的大纲指定XML文档内容和数据库的表之间的映射:OpenXML是一种服务器端技术,它允许你在XML文档上定义关系视图,有了OpenXML的关系视图,你就能使用T-SQL代码查询XML文档中的数据并把结果存储在你的SQL Server数据库中.    这三种技术中的每一">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用.NET存储XML数据</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>xml|数据</p>
<p>SQL Server 2000和XML for SQL Server 2000 Web版本（SQLXML）提供了三种存储XML数据的途径：XML Bulk Load和Updategrams，这两种客户端技术使用带有注解的大纲指定XML文档内容和数据库的表之间的映射；OpenXML是一种服务器端技术，它允许你在XML文档上定义关系视图，有了OpenXML的关系视图，你就能使用T-SQL代码查询XML文档中的数据并把结果存储在你的SQL Server数据库中。<br />    这三种技术中的每一种都是为特定的目的设计的。XML Bulk Load把来自很大的XML文档的数据存储在SQL Server中；Updategrams执行SQL Server数据的优化更新（优化更新是没有锁（lock）的更新，在这种更新中系统检测是否有其它用户在原来读取数据后改变了它）；OpenXML提供了人们熟悉的XML数据关系访问方法。</p>
<p>    在这三种技术中，OpenXML是最灵活的，因为它提供了一个编程模型（T-SQL），在把XML数据存储在SQL Server数据库之前，你可以使用这种编程模型在XML数据上编写业务规则或执行计算逻辑。但是，由于OpenXML是一种基于服务器的技术，如果你频繁的使用它或者有大量的文档，它会降低SQL Server的性能。不过，如果你采用了微软。NET框架组件，你就可以使用ADO.NET的数据集绕开这些性能和可伸缩性方面的限制，ADO.NET数据集赋予你一个强大的技术——为把XML数据存储在SQL Server包含了一个完整的编程模型。</p>
<p>    数据集、数据表和XML映射</p>
<p>    你可以使用数据集简单地从SQL Server中生成XML查询结果。通过提供一种可以在客户端和中间层计算机上使用的关系数据缓存（cache），数据集能够载入和维护多种数据源（包括SQL Server、其它的关系型数据库和XML）中的数据。</p>
<p>    当你从XML文档中载入一个数据集的时候，该数据集必须把存储在层次XML表现（representation）中的数据映射成数据集的关系表现。例如，如果你的XML文档包含一个Order元素列表，而它又有一个作为子元素的嵌套的LineItem元素，那么通常这个文档被映射成关系表现中的Orders和LineItems数据表。这种映射的目的与OpenXML使用Xpath查询构造XML文档上的关系视图的方法的目的是一样的。但是与使用Xpath规范不同，数据集有自己的映射数据的方式。</p>
<p>    数据集使用XML大纲定义（XSD）大纲把数据从XML文档映射到数据集的关系数据缓存中。数据集为你提供了指定映射XML数据的大纲的两种方法。首先，你可以引用一个定义了XML文档中使用的元素，属性和关系的XSD大纲。另一种方法是，你可以直接从文档的结构中推理大纲。换句话说，数据集可以通过检查XML文档的结构和内容建立大纲。</p>
<p>    当你引用XSD大纲的时候，数据集使用这个大纲中定义的元素、属性与元素之间的关系来构造关系数据缓存中的数据表、数据列和数据关系，你可以使用这个数据缓存存储被映射的XML数据。我谈到关系数据缓存中的结构或大纲的时候，一般把它称为数据缓存的形式。当数据集处理大纲的时候，它会应用一组规则，这种规则与映射大纲中没有指定注解时Updategrams 和XML Bulk Load使用的默认映射规则相似，数据集使用这种规则建立数据集用于存储被映射的XML数据的表。数据集的映射规则概述如下：</p>
<p>    。 复合元素——即包含其它元素或属性的元素——被映射成表。</p>
<p>    。 属性和简单值（simple-valued）子元素——只包含数据，不包含其它元素或属性的元素——被映射成列。</p>
<p>    。 数据类型从XSD类型映射为。NET类型。</p>
<p>    推理（Inference）是一种快速、方便的把XML文档载入数据集的方法。表、列和关系都是"自我测量"（introspection）自动建立的，"自我测量"是数据集检查XML文档的结构和内容的过程。尽管使用推理明显减少了你的编程负担，但是它也给你的实现带来了不可预测性，因为对XML文档的很小的改动可能引起数据集建立不同形式的表。这些形式的改变可能引起你的应用程序意外中断。因此，我推荐你一般为应用程序引用一个大纲，建立原型的时候限制推理的使用。</p>
<p>    现在让我们看一看如何使用大纲建立一个可用于更新SQL Server数据库的客户端数据集数据缓存的例子。</p>
<p>映射XML订单</p>
<p>　　假定你在编写一个接受用户订单的应用程序，订单是XML格式的，它的XSD大纲如图1定义。该大纲定义了三种复合类型，分别提供订单的客户数据、订单数据和线性数据项。一个顶层Customer元素定义了XML文档的根。这个封闭的系统定义了元素之间的关系：Order元素包含了一个LineItem元素，Customer元素包含一个Order元素。图2显示了符合图1定义的大纲的一个XML文档实例。</p>
<p>　　图1：XSD大纲</p>
<p>＜?xml version="1.0" encoding="utf-8"?＞<br />＜xs:schema targetNamespace="urn:Sep2003Example" elementFormDefault="qualified"<br />xmlns="urn:Sep2003Example"<br />xmlns:xs="http://www.w3.org/2001/XMLSchema"＞<br />　＜xs:complexType name="OrderType"＞<br />　＜xs:sequence＞<br />　　＜xs:element name="OrderID" type="xs:integer" /＞<br />　　＜xs:element name="LineItem" type="LineItemType" /＞<br />　＜/xs:sequence＞<br />＜/xs:complexType＞<br />＜xs:complexType name="LineItemType"＞<br />　＜xs:sequence＞<br />　　＜xs:element name="ProductID" type="xs:int" /＞<br />　　＜xs:element name="Quantity" type="xs:int" /＞<br />　　＜xs:element name="UnitPrice" type="xs:decimal" /＞<br />　＜/xs:sequence＞<br />＜/xs:complexType＞<br />＜xs:complexType name="CustomerType"＞<br />　＜xs:sequence＞<br />　　＜xs:element name="CustomerID" type="xs:string" /＞<br />　　＜xs:element name="Order" type="OrderType" /＞<br />　＜/xs:sequence＞<br />＜/xs:complexType＞<br />＜xs:element name="Customer" type="CustomerType"＞<br />＜/xs:element＞<br />＜/xs:schema＞</p>
<p>　　图2：一个XML文档示例</p>
<p>＜?xml version="1.0" ?＞<br />　＜Customer xmlns="urn:Sep2003Example"＞<br />　　＜CustomerID＞ALFKI＜/CustomerID＞<br />　　＜PO＞9572658＜/PO＞<br />　　＜Address＞<br />　　＜Street＞One Main Street＜/Street＞<br />　　＜City＞Anywhere＜/City＞<br />　　＜State＞NJ＜/State＞<br />　　＜Zip＞08080＜/Zip＞ ＜/Address＞<br />　　＜Order＞<br />　　　＜OrderID＞10966＜/OrderID＞<br />　　　＜LineItem＞<br />　　　　＜ProductID＞37＜/ProductID＞<br />　　　　＜UnitPrice＞26.50＜/UnitPrice＞<br />　　　　＜Quantity＞8＜/Quantity＞<br />　　　　＜Description＞Gravad lax＜/Description＞<br />　　　＜/LineItem＞<br />　　　＜LineItem＞<br />　　　　＜ProductID＞56＜/ProductID＞<br />　　　　＜UnitPrice＞38.00＜/UnitPrice＞<br />　　　　＜Quantity＞12＜/Quantity＞<br />　　　　＜Description＞Gnocchi di nonna Alice＜/Description＞<br />　　　＜/LineItem＞<br />　　＜/Order＞<br />　＜/Customer＞</p>
<p>　　列表1中显示的C#代码使用ReadXmlSchema方法把图1中的大纲载入一个叫作orderDS的数据集中。ReadXmlSchema建立了三个数据表，它们分别与大纲中定义的Customer、Order和LineItem元素对应。因此你可以验证这个大纲在关系数据缓存中建立了预期的表，printDSShape方法把每个表的名称写到控制台上，后面跟着列的列表和每列的数据类型。</p>
<p>　　列表1: 建立关系数据缓存的C#代码</p>
<p>using System;<br />using System.Collections;<br />using System.Data;<br />using System.Data.SqlClient;<br />using System.Xml;</p>
<p>public class XMLMap<br />{<br />public static void Main()<br />{</p>
<p>// 建立数据集和读取大纲<br />DataSet orderDS = new DataSet("CustOrder");<br />orderDS.ReadXmlSchema("CustOrderLitem.xsd");</p>
<p>// 打印数据集的形式<br />printDSShape(orderDS);</p>
<p>// 把一个XML格式的订单读入数据集<br />orderDS.ReadXml("Order.xml",System.Data.XmlReadMode.IgnoreSchema);</p>
<p>// 打印数据集中的数据<br />printDSData(orderDS);</p>
<p>// 此处插入业务规则和数据库更新逻辑<br />}</p>
<p>private static void printDSShape(DataSet ds)<br />{<br />foreach (DataTable dt in ds.Tables)<br />{<br />Console.WriteLine("{0}",dt.TableName);</p>
<p>// 打印列的名称和类型<br />foreach (DataColumn dc in dt.Columns)<br />Console.WriteLine("\t{0}\t{1}",dc.ColumnName,dc.DataType.ToString());<br />}<br />}</p>
<p>private static void printDSData(DataSet ds)<br />{<br />foreach (DataTable dt in ds.Tables)<br />{<br />Console.WriteLine("\n{0}:", dt.TableName);</p>
<p>// 打印列的头<br />foreach (DataColumn dc in dt.Columns)<br />Console.Write("{0}\t",dc.ColumnName);<br />Console.WriteLine("");</p>
<p>// 输出数据<br />foreach (DataRow dr in dt.Rows)<br />{<br />foreach(DataColumn dc in dt.Columns)<br />System.Console.Write("{0}\t",dr[dc]);<br />System.Console.WriteLine("");<br />}<br />}<br />}<br />}</p>
<p>　　仔细查看一下列的名称。尽管大纲中没有指定Customer_Id和Order_Id列，但是它们还是出现在数据表中。ReadXmlSchema给数据集自动添加这些列。数据集把这些列用作外部键（foreign key），以模拟Customer元素与它的Order元素之间、Order元素与它的LineItem元素之间的关系。因为典型情况下XML使用嵌套的关系代替了外部键，所以数据集自动生成自己的主键、数据表之间的外部键，并把它们存储在这些列中。</p>
<p>　　请同时仔细查看图3中的数据类型--数据集已经把来自XML大纲数据类型的数据类型映射为对应的.NET数据类型。当你把XML文档载入数据集的时候，该数据集把来自XML的每一个值转换为对应的.NET类型。</p>
<p>　　图3：生成的数据类型和记录</p>
<p>Customer<br />CustomerID System.String<br />Customer_Id System.Int32</p>
<p>Order<br />OrderID System.Int64<br />Order_Id System.Int32<br />Customer_Id System.Int32</p>
<p>LineItem<br />ProductID System.Int32<br />Quantity System.Int32<br />UnitPrice System.Decimal<br />Order_Id System.Int32</p>
<p>Customer:<br />CustomerID Customer_Id<br />ALFKI 0</p>
<p>Order:<br />OrderID Order_Id Customer_Id<br />10966 0 0</p>
<p>LineItem:<br />ProductID Quantity UnitPrice Order_Id<br />37 8 26.5 0<br />56 12 38 0</p>
<p>　　把大纲载入数据集之后，为了完成关系映射，你需要做的所有事情就是把XML数据载入该数据集。列表1的ReadXml方法打开叫作Order.xml的文件，该文件如图2所示。接着，它把文件中的数据读取到你刚才读取大纲建立的数据集中的数据表里。你的XML订单现在可以通过数据集访问了。</p>
<p>　　为了演示如何访问数据集中的数据，列表1的printDSData方法在数据表中导航，对于每张表，都显示列的名称，紧接着显示这张表的所有的行。图3显示为ReadXmlSchema方法给数据集添加的Customer_Id和Order_Id列自动生成了值。</p>
<p>　　请注意，Order.xml出现的三个元素--PO、Address和Description--没有映射到数据表中。这些数据被忽略了，因为你提供给数据集的大纲没有包含这些元素，当数据集建立关系数据缓存的外形并载入XML数据的时候，它简单地忽略了没有在大纲中描述的数据。即使在你从客户那儿接收到的XML订单中包含了没有预料到的额外数据，这种简便特性也可以让你的代码正常地工作。</p>
<p>　　建立使用数据缓存的应用程序</p>
<p>　　现在你已经知道如何使用数据集为XML数据建立关系数据缓存了，你可以应用这种技术来实现一个执行业务逻辑并更新SQL Server的应用程序。当你使用数据集编程模型的时候实现业务逻辑相对直接。ADO.NET为你提供了更新SQL Server中数据的几种选择，包括使用数据适配器、编写自己的查询，以及执行存储过程。数据集使把XML数据映射成关系模型很容易，剩余的事情是你的了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:22:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e6%a1%a3/" title="文档">文档</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用.NET存储XML数据的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXRGojb.html" rel="bookmark">使用&period;NET存储XML数据的方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL Server 2000和XML for SQL Server 2000 Web版本(SQLXML)提供了三种存储XML数据的途径:XML Bulk Load和Updategrams,这两种客户端技术使用带有注解的大纲指定XML文档内容和数据库的表之间的映射:OpenXML是一种服务器端技术,它允许你在XML文档上定义关系视图,有了OpenXML的关系视图,你就能使用T-SQL代码查询XML文档中的数据并把结果存储在你的SQL Server数据库中.  这三种技术中的每一种都是为特定的目的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZLd0z.html" rel="bookmark">浅谈如何使用&period;NET存储XML数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				XML Bulk Load和Updategrams,这两种客户端技术使用带有注解的大纲指定XML文档内容和数据库的表之间的映射:OpenXML是一种服务器端技术,它允许你在XML文档上定义关系视图,有了OpenXML的关系视图,你就能使用T-SQL代码查询XML文档中的数据并把结果存储在你的SQL Server数据库中. 这三种技术中的每一种都是为特定的目的设计的.XML Bulk Load把来自很大的XML文档的数据存储在SQL Server中:Updategrams执行SQL Server数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p56AKWz.html" rel="bookmark">一起谈&period;NET技术，浅谈如何使用&period;NET存储XML数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				XML Bulk Load和Updategrams,这两种客户端技术使用带有注解的大纲指定XML文档内容和数据库的表之间的映射:OpenXML是一种服务器端技术,它允许你在XML文档上定义关系视图,有了OpenXML的关系视图,你就能使用T-SQL代码查询XML文档中的数据并把结果存储在你的SQL Server数据库中. 这三种技术中的每一种都是为特定的目的设计的.XML Bulk Load把来自很大的XML文档的数据存储在SQL Server中:Updategrams执行SQL Server数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLKVkM.html" rel="bookmark">SQL Server 2005中XML数据建模简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关系或 XML 数据模型 如果您的数据是高度结构化的,具有已知的架构,则关系模型可能对于数据存储最为有效.Microsoft SQL Server 提供了您可能需要的必要功能和工具.另一方面,如果结构是灵活的(半结构化和非结构化)或未知的,则必须适当地考虑如何对此类数据进行建模. 如果您需要独立于平台的模型,以便确保使用结构化和语义标记的数据的可移植性,则 XML 是一种不错的选择.而且,如果满足下列某些属性,则它还是一种适当的选择: • 您的数据比较稀疏,或者您不了解数据的结构,或者数据的结构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlR1naz.html" rel="bookmark">用OPENXML将XML数据转换为关联数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从SQL Server 2000开始,微软开始支持XML类型的数据.在SQL Server2005中,微软延续了这一特性,并加强了对XML 数据列.XML变量以及XML索引的支持. 在数据库中存储XML数据是一个很出色的特征.对于大部分的数据处理需求来讲,将XML数据格式化为其它关联数据是十分重要.这也是引入OPENXML函数的原因.OPENXML是一个SQL Server提供的函数,它的作用是接收XML数据,提供内存中 XML数据的行集视图. 一个OPENXML函数用例 在下面的例子中,我们将			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Xpm3Zab.html" rel="bookmark">如何把一个图像存储到XML数据中，并读取出来 by iCeSnaker - Program rhapsody</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|数据 以前对于XML如何存储数据很感兴趣,特别是看到一个文章说,可以直接用XML代替SQL server2000用来存储数据和交互数据,目前还在研究之中.终于把如何存取图像到xml的代码搞定:) 读取图像 //定义图像源与目标xml文件 string ImgFileName = @&quot;d:\中国移动暴强广告.JPG&quot;; string XmlFileName = @&quot;D:\img.xml&quot;; XmlTextWriter aXmlTextWriter = new			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQYXGb.html" rel="bookmark">对XML数据使用XMLConvert</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|数据 XML文件中的所有数据都以字符串来存储.当一个程序载入XML文件时,通常需要将数据转换为更加适合程序的类型. 例如,假设订单装运日期存在一个XML文件里,则使用该文件的程序需要将字符串表示的数据转换为一个DateTime对象.VB.NET提供了XMLConvert类来协助这项工作,将XML转换成强类型的.NET数据. XMLConvert位于System.XML命名空间中.其所有的方法和属性都是共享的,因此不用将其实例化就可以访问他们.它包括了将XML字符串转换成日期.双精度.布尔			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMynD8p.html" rel="bookmark">利用Visual Basic操作XML数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				visual|xml|数据 什么是XML 扩展标记语言XML是一种简单的数据存储语言,使用一系列简单的标记描述数据,而这些标记可以用方便的方式建立,虽然XML占用的空间比二进制数据要占用更多的空间,但XML极其简单易于掌握和使用. XML与Access,Oracle和SQL Server等数据库不同,数据库提供了更强有力的数据存储和分析能力,例如:数据索引.排序.查找.相关一致性等,XML仅仅是展示数据.事实上XML与其他数据表现形式最大的不同是:他极其简单.这是一个看上去有点琐细的优点,但正是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzwgonz.html" rel="bookmark">利用VisualBasic操作XML数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				visual|xml|数据 什么是XML 扩展标记语言XML是一种简单的数据存储语言,使用一系列简单的标记描述数据,而这些标记可以用方便的方式建立,虽然XML占用的空间比二进制数据要占用更多的空间,但XML极其简单易于掌握和使用. XML与Access,Oracle和SQL Server等数据库不同,数据库提供了更强有力的数据存储和分析能力,例如:数据索引.排序.查找.相关一致性等,XML仅仅是展示数据.事实上XML与其他数据表现形式最大的不同是:他极其简单.这是一个看上去有点琐细的优点,但正是			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq8abm.html" rel="bookmark" class="title">Win 8照片应用欣赏与简单编辑图片</a>
					<div>
						在Win8照片应用中点击想要访问的分类,进入照片预览界面,为方便触控屏用户,Win8采用了横向浏览的方式,我们可以看到多个文件夹,触控屏用户只要滑动手指就能顺畅预览精美图片,鼠标操作可以滑动滚轮,操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqL7kb.html" rel="bookmark" class="title">如何创建RESTFul Web服务</a>
					<div>
						想写这篇文章很久了,这是个大话题,不是一时半会就能说清楚的. 所以准备花个一星期整理资料,把思路理清楚,然后再在Team里做个sharing:) 其实RESTFul是架构风格,并不是实现规范,也不一定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1wLjz.html" rel="bookmark" class="title">高手传经 网页设计中的几个小技巧</a>
					<div>
						技巧|设计|网页|网页设计 如上图是Relen的个人主页Relen.com,2004版的首页发布信息,尤其是过年前后,利用雪花来点缀页面是非常合适的.注意这里面的雪花的摆设位置是有些技巧的,你可以考虑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5vO6z.html" rel="bookmark" class="title">Swishmax制作漂亮遮罩效果动画</a>
					<div>
						先看看效果吧! 点击这里源文件下载 先搞个好看点的背景吧,不能随便画画了事,要对得起大家的眸子~~~ ^o^ 我swishmax钢笔工具用的不好,高手不要见笑~~ 然后导入外部图片 需要做遮罩的对象~ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0KRnb.html" rel="bookmark" class="title">RSA加密超出117字节的数据出错的解决方案</a>
					<div>
						加密|解决|数据 前一阵给公安局做项目,用到了公钥加密技术及对称密钥加密技术.信息通过3DES进行加密,而密钥通过RSA公钥体系传送.客户端使用CPU卡eKey进行解密.但是在系统编写过程中发现,.n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdk56M.html" rel="bookmark" class="title">沈阳团购网站大全做到谷歌首页方法</a>
					<div>
						一个seoer在一个月的时间内,把一个新站的主关键词(沈阳团购网站大全)做到了google首页. 主要说一下我的经验和方法: 1. 定位关键词 沈阳196团购网站的关键词我选为沈阳团购网站大全,是用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxxNyM.html" rel="bookmark" class="title">用ASP连接数据库</a>
					<div>
						连接数据库 原文作者:Alan Saldanha 微软公司的ASP加上IIS3.0就能为网站建设.INTRANET应用提供一个灵活的构建方法,他可以方便地访问ODBC兼容的数据库. 这篇文章中,我们将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVeomp.html" rel="bookmark" class="title">看实例学VFP：模拟VB控件数组操作标签控件</a>
					<div>
						VB中有控件数组,使用它可以批量设置控件的属性,这个东西最直接的作用就是可以简化代码.今天我们在vfp中模拟VB控件数组,操作vfp中最基本的控件之一:标签控件(label).在vfp基础教程-标签控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91AD4M.html" rel="bookmark" class="title">Windows 7被忽略的七大性能</a>
					<div>
						1.&quot;移动宽带&quot;标准 Windows 7把蜂窝式modem当成标准连接,当可用的WiFi等无线网络时就会弹出自动弹出对话框.而无 线网卡已经支持这种连接方式,特别适合移动办公的人士 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZG5Dz.html" rel="bookmark" class="title">win7电脑如何设置隐藏自己的WiFi信号？</a>
					<div>
						  很多朋友在发现自家的网速越变越慢的时候,就会打电话去抱怨运营商的不行,或者是以为自己的电脑设置.设备等出现了问题,但是你是否有想过,也许是某些图谋不轨的人正在蹭你家的网络?在偷你家的网速呢?你想知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3Lw3M.html" rel="bookmark" class="title">如何让网页背景变黑</a>
					<div>
						问题提出:浏览网页的时候怎么使网页的背景变黑色.白色的太刺眼了. 回答: 1.先修改显示属性外观:鼠标对着桌面空白处按右键/属性/外观/高级/点击&quot;项目&quot;的下拉菜单找到并点击&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8GJYb.html" rel="bookmark" class="title">snapeee照片怎么保存</a>
					<div>
						  snapeee照片怎么保存 在snapeee里编辑完并发布照片后才会保存到手机相册(先发布,你可以选择公开或者只有自己看见那些分类,然後发了再去照片下面的省略号那里保存到手机)可以不公布,在最后一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7Y78M.html" rel="bookmark" class="title">电脑高负荷运行下的温度是多少</a>
					<div>
						  夏季气温比较高,电脑容易处于一种高负荷的运行状态,这样所带来的高温会严重损害电脑.那么,如何知道电脑高负荷下的温度有多高呢? 1.打开鲁大师的界面.没有安装的可以到网上下载安装. 2.在菜单栏的第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL0AWb.html" rel="bookmark" class="title">传送文件如何轻松传送方法</a>
					<div>
						  系统内哪些部分可以传送 在使用&quot;Windows 轻松传送&quot;之前,我们应该对其有个比较详细的了解.&quot;Windows 轻松传送&quot;可以传送的内容很多,包括账号信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXndEp.html" rel="bookmark" class="title">大型网站架构系列：分布式消息队列（一）</a>
					<div>
						以下是消息队列以下的大纲,本文主要介绍消息队列概述,消息队列应用场景和消息中间件示例(电商,日志系统). 本次分享大纲 消息队列概述 消息队列应用场景 消息中间件示例 JMS消息服务(见第二篇:大型网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR3mEz.html" rel="bookmark" class="title">&lbrack;c&num;基础&rsqb;使用抽象工厂实现三层</a>
					<div>
						引言 昨天加了一天班,今天闲来无事,就在想如何将之前的三层和最近一直在学的设计模式给联系在一起,然后就动手弄了个下面的小demo. 项目结构 项目各个层实现 Wolfy.Model层中有一个抽象类Ba ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YAW5M.html" rel="bookmark" class="title">条形码的工作原理和详细的内容</a>
					<div>
						http://android.d.cn/software/326.html  http://soft.shouji.com.cn/down/18906.html  EAN-13通用商品条形码一般由前缀 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA758Xz.html" rel="bookmark" class="title">eclipse svn-eclipse搜索中如何过滤&period;svn文件？</a>
					<div>
						问题描述 eclipse搜索中如何过滤.svn文件? 请问下eclipse搜索中如何过滤.svn文件?在哪里可以设置?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94EZdb.html" rel="bookmark" class="title">asp&period;net 点击服务器按钮 不触发后台事件解决方法</a>
					<div>
						问题描述 点击button后不触发后台的事件,求解决,求高手 解决方案 解决方案二:增加按钮的clientClick事件,&lt;asp:buttononClientClick=&quot;retur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z69az.html" rel="bookmark" class="title">to rray-Collections的 toArray方法</a>
					<div>
						问题描述 Collections的 toArray方法 Set 用 toArray 方法 转array[byte[]] ,始终不成功 , 不要回答我 遍历set 放到 array中 解决方案 由 to ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY4mdp.html" rel="bookmark" class="title">cocos2d-js项目怎么移植到eclipse中</a>
					<div>
						问题描述 cocos2d-js项目怎么移植到eclipse中 我想把cocos code ide里面的项目移植到eclipse里面,网上搜了很多还是解决不了. 解决方案 eclipse有支持库					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo7Z7M.html" rel="bookmark" class="title">用&OpenCurlyDoubleQuote;垃圾袋&rdquo;给顾客打包 饭店老总微博道歉</a>
					<div>
						浙江在线05月22日讯顾客用团购餐后,想把吃剩的饭菜打包回去,避免浪费,但饭店服务员却认为团购用餐不准打包,在顾客再三要求下,竟拿出一只疑似&quot;垃圾袋&quot;供顾客打包.前天晚上,这一事件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn5B5M.html" rel="bookmark" class="title">求通过进度条显示执行时间进度的方法？</a>
					<div>
						问题描述 我通过C#写了一个程序,其中有通过查询数据库返回DATASET绑定DATAGRID的方法,但数据量很大,每次点击按钮执行都要等很久,能否通过进度条控件来显示程序执行的进度呢?具体应该如何实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWeoGM.html" rel="bookmark" class="title">向大企业取经谈中小企业IT管理</a>
					<div>
						因为这样或那样的原因,很多中小企业的IT管理人员总是抱怨自己无法像大企业的同行那样来管理企业的IT系统,这很可能是在推卸责任. 实际上,中小企业完全可以运用大企业IT部门多年来积累的经验,来提高工作效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnlGxM.html" rel="bookmark" class="title">Linux 平台MySQL启动关闭方式总结</a>
					<div>
						  MySQL的启动方法有很多种,下面对比.总结这几种方法的一些差异和特性,下面实验的版本为MySQL 5.6.如有疏漏或不足,敬请指点一二.   1:使用mysqld启动.关闭MySQL服务     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NRn5p.html" rel="bookmark" class="title">ELS大数据整合：出击企业基础架构困局</a>
					<div>
						今天,IBM(NYSE:IBM)在北京召开了主题为&quot;大数据危机 大整合出击&quot;IBM ELS大数据策略媒体发布会,阐述ELS 在大数据时代的全新策略,旨在帮助企业用户抓住大数据带来的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEw10p.html" rel="bookmark" class="title">HTML图标</a>
					<div>
						○ ○ ■ ■ ■ ■ ●					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44rqLz.html" rel="bookmark" class="title">java-代码部分怎么写&mdash;&mdash;字体直装包apk</a>
					<div>
						问题描述 代码部分怎么写--字体直装包apk 请教下,像爱字体那样的把ttf字体转成apk格式的代码怎么写,请求告知或者是怎么写一个字体直装包 解决方案 http://tieba.baidu.com/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9ja14p.html" rel="bookmark" class="title">邮件发送测试页面。前台页面</a>
					<div>
						&lt;%@ Page language=&quot;c#&quot; Codebehind=&quot;WebForm1.aspx.cs&quot; AutoEventWireup=&quot;fa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGraalp.html" rel="bookmark" class="title">《安娜卡列尼娜》文本生成&mdash;&mdash;利用 TensorFlow 构建 LSTM 模型</a>
					<div>
						前言 最近看完了 LSTM 的一些外文资料,主要参考了 Colah 的 blog以及 Andrej Karpathy blog的一些关于 RNN 和 LSTM 的材料,准备动手去实现一个 LSTM 模 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
